xmltooling::cleanup< T > Struct Template Reference

Functor for cleaning up heap objects in containers. More...

`#include <xmltooling/base.h>`

## Public Member Functions

void | operator() (T *ptr)
| Function operator to delete an object.
void | operator() (const T *ptr)
| Function operator to delete an object stored as const.

## Detailed Description

template<class T>
struct xmltooling::cleanup< T >

Functor for cleaning up heap objects in containers.

## Member Function Documentation

## operator()() [1/2]

template<class T>

void xmltooling::cleanup< T >::operator() | ( | const T * | ptr | ) |

inline

Function operator to delete an object stored as const.

Parameters

  ptr | object to delete after casting away const

## operator()() [2/2]

template<class T>

void xmltooling::cleanup< T >::operator() | ( | T * | ptr | ) |

inline

Function operator to delete an object.

Parameters

  ptr | object to delete

The documentation for this struct was generated from the following file:

- xmltooling/base.h